---
- name: Converge
  hosts: all
  become: true
  tasks:
    - name: "Modify a system file"
      lineinfile:
        path: /etc/passwd
        line: "#testing"
        state: present

    - name: "Include ansible_role_centos_base"
      include_role:
        name: "ansible_role_centos_base"
      vars:
        centos_base_update_protect: True
        centos_base_update_aide: True

    - name: "Modify audit rules file"
      lineinfile:
        path: /etc/audit/auditd.conf
        line: "#testing"
        state: present

    - name: "Ensure auditd handler triggers AIDE update"
      include_role:
        name: "ansible_role_centos_base"
      vars:
        centos_base_update_protect: True
        centos_base_update_aide: True
